org.apache.cassandra.db

## Class Memtable

- java.lang.Object
- - org.apache.cassandra.db.Memtable

-     public class Memtable
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `ColumnFamilyStore` | `cfs`
    `AbstractType` | `initialComparator`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Memtable(ColumnFamilyStore cfs)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `contents()`
    `long` | `creationTime()`
    `void` | `flushAndSignal(java.util.concurrent.CountDownLatch latch, java.util.concurrent.Future<ReplayPosition> context)`
    `ColumnFamily` | `getColumnFamily(DecoratedKey key)`
    `java.util.Iterator<java.util.Map.Entry<DecoratedKey,ColumnFamily>>` | `getEntryIterator(RowPosition startWith, RowPosition stopAt)`
    `long` | `getLiveSize()`
    `static OnDiskAtomIterator` | `getNamesIterator(DecoratedKey key, ColumnFamily cf, NamesQueryFilter filter)`
    `long` | `getOperations()`
    `long` | `getSerializedSize()`
    `static OnDiskAtomIterator` | `getSliceIterator(DecoratedKey key, ColumnFamily cf, SliceQueryFilter filter)` obtain an iterator of columns in this memtable in the specified order starting from a given column.
    `boolean` | `isClean()`
    `java.lang.String` | `toString()`
    `void` | `updateLiveRatio()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### cfs

          public final ColumnFamilyStore cfs

    - #### initialComparator

          public final AbstractType initialComparator

  - ### Constructor Detail

    - #### Memtable

          public Memtable(ColumnFamilyStore cfs)

  - ### Method Detail

    - #### getLiveSize

          public long getLiveSize()

    - #### getSerializedSize

          public long getSerializedSize()

    - #### getOperations

          public long getOperations()

    - #### updateLiveRatio

          public void updateLiveRatio()
                               throws java.lang.RuntimeException

      Throws:
        `java.lang.RuntimeException`

    - #### contents

          public java.lang.String contents()

    - #### flushAndSignal

          public void flushAndSignal(java.util.concurrent.CountDownLatch latch,
                            java.util.concurrent.Future<ReplayPosition> context)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getEntryIterator

          public java.util.Iterator<java.util.Map.Entry<DecoratedKey,ColumnFamily>> getEntryIterator(RowPosition startWith,
                                                                                            RowPosition stopAt)

      Parameters:
        `startWith` - Include data in the result from and including this key and to the end of the memtable
      Returns:
        An iterator of entries with the data from the start key

    - #### isClean

          public boolean isClean()

    - #### getSliceIterator

          public static OnDiskAtomIterator getSliceIterator(DecoratedKey key,
                                            ColumnFamily cf,
                                            SliceQueryFilter filter)

      obtain an iterator of columns in this memtable in the specified order starting from a given column.

    - #### getNamesIterator

          public static OnDiskAtomIterator getNamesIterator(DecoratedKey key,
                                            ColumnFamily cf,
                                            NamesQueryFilter filter)

    - #### getColumnFamily

          public ColumnFamily getColumnFamily(DecoratedKey key)

    - #### creationTime

          public long creationTime()

Copyright © 2014 The Apache Software Foundation